Accessories
Keywords: uk.ac.ic.doc.automed.templates.gui.Accessories class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.templates.gui
Class Accessories

    java.lang.Object
      uk.ac.ic.doc.automed.templates.gui.Accessories

    public class Accessories

extends java.lang.Object

Field Summary
`static javax.swing.Icon` | `BREAK_ICON`
`static javax.swing.Icon` | `DELETE_ICON`
`static javax.swing.Icon` | `EXECUTE_ICON`
`static javax.swing.Icon` | `LEFT_ARROW_ICON`
`static javax.swing.Icon` | `LIST_ICON`
`static javax.swing.Icon` | `POPUP_ICON`
`static javax.swing.Icon` | `RIGHT_ARROW_ICON`
`static javax.swing.Icon` | `SET_ICON`
`static javax.swing.Icon` | `SINGLE_ICON`

Constructor Summary
`Accessories()`

Method Summary
`static javax.swing.Icon` | `getIcon(java.lang.String path)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DELETE_ICON

    public static javax.swing.Icon DELETE_ICON

### POPUP_ICON

    public static javax.swing.Icon POPUP_ICON

### LIST_ICON

    public static javax.swing.Icon LIST_ICON

### SINGLE_ICON

    public static javax.swing.Icon SINGLE_ICON

### BREAK_ICON

    public static javax.swing.Icon BREAK_ICON

### SET_ICON

    public static javax.swing.Icon SET_ICON

### LEFT_ARROW_ICON

    public static javax.swing.Icon LEFT_ARROW_ICON

### RIGHT_ARROW_ICON

    public static javax.swing.Icon RIGHT_ARROW_ICON

### EXECUTE_ICON

    public static javax.swing.Icon EXECUTE_ICON

Constructor Detail

### Accessories

    public Accessories()

Method Detail

### getIcon

    public static javax.swing.Icon getIcon(java.lang.String path)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD